﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TimeKeeper : MonoBehaviour
{
    protected float seconds = 0;

    public int Minutes
    {
        get
        {
            return (int)seconds / 60;
        }
    }


    public int Seconds
    {
        get
        {
            return (int)seconds % 60;
        }
    }

    public bool Pause { get; set; }

    // Start is called before the first frame update
    void Start()
    {
        Pause = false;
    }

    // Update is called once per frame
    void Update()
    {
        if (!Pause)
            seconds += Time.deltaTime;
    }

    void EndGame()
    {
        Pause = true;
    }
}
