﻿using UnityEngine;

public class JumpMonitor
{
    protected bool m_has_idled = false;

    public JumpMonitor()
    {
    }

    public void Reset()
    {
        m_has_idled = false;
    }

    public bool CheckJump(string axis)
    {
        float vert = Input.GetAxisRaw(axis);
        if (vert > 0)
        {
            if (m_has_idled)
            {
                return true;
            }
        }
        else
        {
            m_has_idled = true;
        }

        return false;
    }
}