﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BallSound : MonoBehaviour
{

    [SerializeField] private AudioClip[] clips;
    private AudioSource ss = null;

    // Start is called before the first frame update

    private void Start()
    {
        ss = GetComponent<AudioSource>();
    }

    public void PlayBounceSound()
    {
        ss.clip = clips[0];
        ss.Play();
    }

    public void PlayGameOverSound()
    {
        ss.clip = clips[1];
        ss.Play();
    }
}
