﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameOver : MonoBehaviour
{
    public void EndGame()
    {
        Rigidbody2D rb = GetComponent<Rigidbody2D>();
        if (rb == null)
        {
            if (gameObject.activeSelf)
                gameObject.SetActive(false);
            else
                gameObject.SetActive(true);
        }
        else
            rb.constraints = RigidbodyConstraints2D.FreezeAll;

        PlayerControl pc = GetComponent<PlayerControl>();
        if (pc == null)
            return;
        else
            pc.enabled = false;
    }

}
