﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HardPoint : MonoBehaviour
{
    public enum PurposeID
    {
        None,
        Muzzle,
    }

    public PurposeID Purpose = PurposeID.None;

    public static HardPoint Find(GameObject parent, PurposeID purpose)
    {
        foreach (var point in parent.GetComponentsInChildren<HardPoint>())
        {
            if (point.Purpose == purpose)
                return point;
        }

        return null;
    }

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
