﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


public class ScoreScript : MonoBehaviour
{
    [SerializeField] Text textObject;
    static int _Score = 0;
    static int Score
    {
        get
        {
            return _Score;
        }

        set
        {
            _Score = value;
            foreach (ScoreScript score in FindObjectsOfType<ScoreScript>())
            {
                score.UpdateText();
            }
        }
    }

    // Start is called before the first frame update
    void Start()
    {
        if (textObject == null)
            Debug.LogError("ScoreScript is missing default variables.");

        UpdateText();
    }

    public void AddScore()
    {
        Score = Score + 1; ;
    }

    public void UpdateText()
    {
        textObject.text = "<b>" + Score.ToString("000") + "</b>";
    }

}
