﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerSound : MonoBehaviour
{

    [SerializeField] private AudioClip[] clips;

    private AudioSource ss = null;

    // Start is called before the first frame update

    private void Start()
    {
        ss = GetComponent<AudioSource>();
        if (ss == null)
            Debug.LogError("AuidioSource is null in BrickSound.");
    }

    public void PlayJumpSound()
    {
        ss.clip = clips[0];
        ss.Play();
    }

    public void PlayLandSound()
    {
        ss.clip = clips[1];
        ss.Play();
    }

    public void PlayChargeSound()
    {

        ss.clip = clips[2];
        ss.Play();
    }

    public void StopSound()
    {
        ss.Stop();
    }
}
